
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/polyfills-legacy.0dAMee6u.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/app-legacy.D9aoUP5N.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/VaultedContact-legacy.CiTdyGJj.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DeliveryMethodSelectorSection-legacy.CCQsC_xg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useUnauthenticatedErrorModal-legacy.FNafvPj0.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/AmazonPayPCIButton-legacy.B9gPVxnH.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/CheckoutAsGuest-legacy.DLG7EMcJ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useRefEffect-legacy.CXpRfkI5.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/ShopPayLogo-legacy.BfZgJ9zw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PickupPointCarrierLogo-legacy.DpiwbtCy.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/hooks-legacy.BL9KZs-O.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/LocalizationExtensionField-legacy.DlZzeDXM.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShowShopPayOptin-legacy.Dxn6lLWO.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Rollup-legacy.tP8HNSVn.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShopPayRequiresVerification-legacy.DXbnO6x-.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Section-legacy.Bx-nvVmh.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/GooglePayPCIButton-legacy.CqNy2q8r.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PayButtonSection-legacy.B4Glbl3e.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/RageClickCapture-legacy.BgmwX5MG.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useInstallmentsErrorHandler-legacy.CGz0OOGl.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.BAtaG3tb.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DutyOptions-legacy.BQtyCx5f.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/SubscriptionPriceBreakdown-legacy.7PJ2Eejw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useAmazonContact-legacy.Dz0aUtRS.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/StockProblemsLineItemList-legacy.Cn73D-ic.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useGetBuyWithPrimeCheckoutSessionId-legacy.34qN1LOu.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.C629ugvB.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  