
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/polyfills-legacy.C681GwsJ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/app-legacy.DW33C7SO.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/VaultedContact-legacy.C998SkpP.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/DeliveryMethodSelectorSection-legacy.AcMNf_4q.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useUnauthenticatedErrorModal-legacy.VbWioGqS.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/AmazonPayPCIButton-legacy.by3QciMh.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/CheckoutAsGuest-legacy.YgElvBuf.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useRefEffect-legacy.yoJ0auI4.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/ShopPayLogo-legacy.DxyF0hgQ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/PickupPointCarrierLogo-legacy.C6znYZ3J.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/hooks-legacy.DIW3Vwuy.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/LocalizationExtensionField-legacy.Ddd9wFtI.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useShowShopPayOptin-legacy.BqJFpBjg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/Rollup-legacy.UTS_m6aQ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useShopPayRequiresVerification-legacy.BFoum-jY.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/Section-legacy.fcFX2SIn.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/GooglePayPCIButton-legacy.kRbxjvDu.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/PayButtonSection-legacy.CYIZW9aV.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/RageClickCapture-legacy.ClEts2VL.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useInstallmentsErrorHandler-legacy.Bz-5mdq-.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/index-legacy.plmYn2jT.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/DutyOptions-legacy.BuR3n_nN.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/SubscriptionPriceBreakdown-legacy.d3nWuzBQ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useAmazonContact-legacy.VIYLUq5n.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/StockProblemsLineItemList-legacy.De06c7Kt.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/useGetBuyWithPrimeCheckoutSessionId-legacy.Bhl3CNB2.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.de/index-legacy.BMOsxN_-.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  